

class Corner(object):
    def __init__(self, x, y, length_ccw, length_cw, angle):
        self.x = x
        self.y = y
        self.length_ccw = length_ccw
        self.length_cw = length_cw
        self.angle = angle

    @property
    def dictionary(self):
        return {"x": self.x, "y": self.y, "length ccw": self.length_ccw, "length cw : ": self.length_cw, "angle": self.angle}
